Page MenuHomePhabricator

Newcomer tasks: Comparative review of task suggestion products
Closed, ResolvedPublicDesign

Description

Background

The Growth team is exploring creating a "Newcomer homepage" as the landing page for New Editors.

Goal of the comparative review

Part 1. Review relevant Wikimedia task recommendation-type tools and initiatives, such as:

Part 2. Review of external products
Review personal user pages and dashboards on comparable task completion products.

  • Aspects of the review:
    • Where and how are tasks offered in the product? (E.g., Is there a separate product like Google Crowdsource and Translate Facebook which has a central dashboard/feed of tasks, or is it part of an existing product like contributions in Google Maps?)
    • Characteristics of tasks offered? E.g., review/verify information, ratings, writing content, etc.
    • What incentivizing features are there? E.g., Activity feed, Rewards, Ranking, More administrative powers, etc...
    • Level of personalized/customized suggestions?
    • Visual design
    • Mobile vs Desktop versions of a product

Starter list of products to review:

  • Google Crowdsource
  • Translate Facebook
  • Foursquare's "Superuser Tools" console
  • Google Maps "Local contributors"
  • Google Translate Community
  • Amazon Mechanical Turk

Deck (WIP)

https://docs.google.com/presentation/d/1Y9RUD2MF77db-edlQ9n2itvmlXfvLywykXgrn-yYCiM/

Note that this is based on a review of predominantly English-language sites and projects.

Event Timeline

RHo created this task.Jul 25 2019, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2019, 8:00 PM
Mholloway added a subscriber: Mholloway.
Cntlsn updated the task description. (Show Details)Jul 26 2019, 12:13 PM
Cntlsn updated the task description. (Show Details)Jul 26 2019, 12:43 PM
RHo updated the task description. (Show Details)Jul 30 2019, 5:15 PM
Restricted Application added a subscriber: revi. · View Herald TranscriptJul 30 2019, 5:15 PM
RHo claimed this task.Aug 2 2019, 9:38 PM
RHo added a subscriber: Cntlsn.

Thanks @Cntlsn for assessing external products in part 2 and some of the analysis, reassigning to myself to complete the rest.

MMiller_WMF closed this task as Resolved.Aug 27 2019, 9:56 PM

@RHo did a really thorough job on this and generated a lot of important takeaways. The toplines are published here on wiki, and the full set of takeaways is published on its own page. This work is complete.